Module
Contents
Index 🔎︎

# Input Function [VBA]

Returns the open stream of an Input or Binary file (String).

Fungsi atau konstanta ini diaktifkan dengan pernyataan Option VBASupport 1 yang ditempatkan sebelum kode program yang dapat dieksekusi dalam sebuah modul.

## Sintaksis:

    Input( Number as Integer, [# ] FileNumber as Integer)

## Nilai balikan:

String

## Parameter:

Number: Required. Numeric expression specifying the number of characters to return.

#: Optional.

FileNumber: Required. Any valid file number.

## Kode kesalahan:

6 Tumpang tindih

52 Nama berkas atau angka yang buruk

62 Pembacaan melampaui EOF

## Contoh:

    REM ***** BASIC *****

    Option VBASupport 1

    Sub Example_Input

     Dim MyData

     Open "MyDataFile.txt" For Input As #1

     Do While Not EOF(1)

      MyData = Input(1, #1)

      Print MyData

     Loop

     Close #1

    End Sub

Related Topics

Input# statement

Fungsi I/O VBA